Rover12421's Blog

The End.

Update Octopress3

越不写blog就越懒了.换了系统,装个octopress环境都弄了半天,发现ruby真是折腾. 然后octopress升级到octopress3了.结果Pygments插件出问题了.发现Pygments的词法分析有bug. 如果上一行结尾是"‘“,接着就是高亮代码,肯定出错,中间多空一行就没问题了.真是蛋疼.又没有很友好的提示.

快速定位方法是: 搜索错误提示

1
Pygments can't parse unknown language

在提示后面把code显示出来

1
raise "Pygments can't parse unknown language: #{lang}.\n#{code}"

通过出错的code来搜索定位文件,然后把高亮代码前多加一个空行就ok了.

不得不说,octopress3的编译时间快了好多,到了能接受的范围内了.

Comments